| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | List of all members
IOGraphAction Class Reference

An action to open the IO Graph dialog with specific unit and field configurations. More...

`#include <io_graph_action.h>`

Inheritance diagram for IOGraphAction:

## Signals
void | openIOGraphDialog (io_graph_item_unit_t unit, QString field)
| Signal emitted to open the IO Graph dialog with the specified parameters.

## Public Member Functions
| IOGraphAction (QObject *parent, io_graph_item_unit_t unit=IOG_ITEM_UNIT_PACKETS, QString field=QString())
| Constructs a new IOGraphAction with a specific unit and field.
| IOGraphAction (QObject *parent)
| Constructs a new basic IOGraphAction.
io_graph_item_unit_t | unit () const
| Retrieves the configured IO graph item unit type.
QString | valueField () const
| Retrieves the configured protocol field string.

## Static Public Member Functions
static const QString | unitName (io_graph_item_unit_t unit)
| Retrieves the string name of a specific IO graph unit type.
static QList< io_graph_item_unit_t > | unitTypes (const FieldInformation::HeaderInfo &headerinfo)
| Retrieves a list of applicable unit types for a given header field.
static QMenu * | createMenu (const FieldInformation::HeaderInfo &headerinfo, QWidget *parent)
| Creates a context menu containing IO graph actions appropriate for a specific header field.

## Detailed Description

An action to open the IO Graph dialog with specific unit and field configurations.

## Constructor & Destructor Documentation

## ◆ IOGraphAction() [1/2]

IOGraphAction::IOGraphAction | ( | QObject * | parent,
|  | io_graph_item_unit_t | unit = IOG_ITEM_UNIT_PACKETS,
|  | QString | field = QString() )
| explicit

Constructs a new IOGraphAction with a specific unit and field.

Parameters

  parent | The parent QObject.
  unit | The IO graph item unit type (defaults to IOG_ITEM_UNIT_PACKETS).
  field | The specific protocol field string (defaults to an empty string).

## ◆ IOGraphAction() [2/2]

IOGraphAction::IOGraphAction | ( | QObject * | parent | ) |
| explicit

Constructs a new basic IOGraphAction.

Parameters

  parent | The parent QObject.

## Member Function Documentation

## ◆ createMenu()

QMenu * IOGraphAction::createMenu | ( | const FieldInformation::HeaderInfo & | headerinfo,
|  | QWidget * | parent )
| static

Creates a context menu containing IO graph actions appropriate for a specific header field.

Parameters

  headerinfo | The header field information.
  parent | The parent widget.

Returns
  A pointer to the created QMenu.

## ◆ openIOGraphDialog

void IOGraphAction::openIOGraphDialog | ( | io_graph_item_unit_t | unit,
|  | QString | field )
| signal

Signal emitted to open the IO Graph dialog with the specified parameters.

Parameters

  unit | The IO graph item unit type to configure.
  field | The protocol field string to configure.

## ◆ unit()

io_graph_item_unit_t IOGraphAction::unit | ( |  | ) | const
| inline

Retrieves the configured IO graph item unit type.

Returns
  The io_graph_item_unit_t value.

## ◆ unitName()

const QString IOGraphAction::unitName | ( | io_graph_item_unit_t | unit | ) |
| static

Retrieves the string name of a specific IO graph unit type.

Parameters

  unit | The IO graph item unit type.

Returns
  The string name of the unit.

## ◆ unitTypes()

QList< io_graph_item_unit_t > IOGraphAction::unitTypes | ( | const FieldInformation::HeaderInfo & | headerinfo | ) |
| static

Retrieves a list of applicable unit types for a given header field.

Parameters

  headerinfo | The header field information.

Returns
  A list of valid io_graph_item_unit_t values.

## ◆ valueField()

QString IOGraphAction::valueField | ( |  | ) | const
| inline

Retrieves the configured protocol field string.

Returns
  The field string.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/io_graph_action.h
- /builds/wireshark/wireshark/ui/qt/io_graph_action.cpp